uk.gov.hmrc.play.fsm.JourneyController.actions.WhenAuthorised.Show

# UsingMerger

###
Related Doc: package Show

#### class UsingMerger extends Executable

Linear Supertypes
Executable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. UsingMerger
2. Executable
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### class OrApply extends Executable

2. #### class OrApplyWithRequest extends Executable

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def andCleanBreadcrumbs(): Executable

   Clean history (breadcrumbs) afterwards.

   Clean history (breadcrumbs) afterwards.

   Definition Classes
     Executable

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def execute(implicit request: Request[_], ec: ExecutionContext): Future[Result]

   Definition Classes
     UsingMerger → Executable

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### def orApply(transition: (User) ⇒ Transition): OrApply

    Display the journey state requested by the type parameter S.

    Display the journey state requested by the type parameter S. If the current state is not of type S, try to rewind the history back to the nearest state matching S and apply merge function to reconcile the new state with the current state. If there exists no matching state S in the history, apply the transition and redirect to the new state. If transition is not allowed then redirect back to the current state.

18. #### def orApplyWithRequest(transition: (Request[_]) ⇒ (User) ⇒ Transition): OrApplyWithRequest

    Display the journey state requested by the type parameter S.

    Display the journey state requested by the type parameter S. If the current state is not of type S, try to rewind the history back to the nearest state matching S and apply merge function to reconcile the new state with the current state. If there exists no matching state S in the history, apply the transition and redirect to the new state. If transition is not allowed then redirect back to the current state.

19. #### def recover(recoveryStrategy: PartialFunction[Throwable, Result]): Executable

    Recover from an error using custom strategy.

    Recover from an error using custom strategy.

    Definition Classes
      Executable

20. #### def recoverWith(recoveryStrategy: (Request[_]) ⇒ PartialFunction[Throwable, Future[Result]]): Executable

    Recover from an error using custom strategy.

    Recover from an error using custom strategy.

    Definition Classes
      Executable

21. #### def renderUsing(renderState: (Request[_]) ⇒ (State, Breadcrumbs, Option[Form[_]]) ⇒ Result): Executable

    Use custom {@see renderState} function.

    Use custom {@see renderState} function.

    Definition Classes
      Executable

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### def toString(): String

    Definition Classes
      AnyRef → Any

24. #### def transform(fx: PartialFunction[Result, Result]): Executable

    Transform result using provided partial function.

    Transform result using provided partial function.

    Definition Classes
      Executable

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Executable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped